<?php
// CORS 허용 설정
header("Access-Control-Allow-Origin: *"); // 모든 출처에서의 요청을 허용합니다.
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS"); // 허용할 HTTP 메서드를 지정합니다.
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept"); // 허용할 헤더를 지정합니다.

include "_MyAdminConfig.php";
include_once $HOME_DB_PATH . "/MyAdminDbconfig.php";

// $it_id 값을 배열로 받음
$it_id_values = $_REQUEST['it_id'];

// 사용자 정보를 조회하는 API
if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    $result_data = array();

    // $it_id_values가 배열인지 확인하고, 각 값에 대해 쿼리를 수행
    if (is_array($it_id_values)) {
        foreach ($it_id_values as $it_id) {
            $it_id = $db->real_escape_string($it_id); // SQL 인젝션 방지를 위해 값 이스케이프
            $sql = "SELECT * FROM g5_shop_item WHERE it_id='$it_id'";

            $result = $db->query($sql);

            if ($result && $result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    // 최종 기록
                    $result_data[] = $row;
                }
            }
        }
    }

    // 결과를 JSON 형식으로 변환하여 출력
    header('Content-Type: application/json');
    echo json_encode($result_data);
}
?>
